#ifndef LQ25USB_H
#define LQ25USB_H

#ifdef LQ25USB_Exports
#define LQ25USB_API __declspec(dllexport)
#else
#define LQ25USB_API __declspec(dllimport)
#endif

extern "C"
 {
//Open device named as "LQ25":
//returns true if device opens correctly.
  LQ25USB_API bool WINAPI LQ25_OpenDevice(void);

//Close device:
//returns true if device closes correctly.
  LQ25USB_API bool WINAPI LQ25_CloseDevice(void);

//Get last error name:
//returns pointer to last error name string
//(empty string if error not occured).
  LQ25USB_API void WINAPI LQ25_GetLastError(LPCSTR &lpcStr);

//Get device info:
//returns pointer to device name string.
//Device name string is "LQ25".
//Returns true if device responds correctly.
  LQ25USB_API bool WINAPI LQ25_GetInfo(LPCSTR &lpcStr);

//Set parameter value:
//n - parameter number
//(0 - V1, 1 - V2, 2 - F_MOD, 3 - MODE, 4 - OUT)
//par - parameter value
//V1, V2: 0..2500 (0..25.00 V)
//F_MOD: 5..1500 (0.5..150.0 Hz)
//MODE: 0 - CONT, 1 - MODULATED, 2 - EXTERNAL
//OUT: 0 - OFF, 1 - ON
//Returns true if device responds correctly.
  LQ25USB_API bool WINAPI LQ25_SetPar(int n, int par);

//Read parameter value:
//n - parameter number
//(0 - V1, 1 - V2, 2 - F_MOD, 3 - MODE, 4 - OUT)
//par - parameter value
//Returns true if device responds correctly.
  LQ25USB_API bool WINAPI LQ25_GetPar(int n, int &par);

 }

#endif


